;;; leuven-dark-theme.el --- Awesome Emacs color theme on dark background

;; Copyright (C) 2003-2019 Free Software Foundation, Inc.

;; Author: Fabrice Niessen <(concat "fniessen" at-sign "pirilampo.org")>
;; URL: https://github.com/fniessen/emacs-leuven-theme
;; Version: 20190308.1633
;; Keywords: color theme

;; This file is part of GNU Emacs.

;; GNU Emacs is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; GNU Emacs is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

;;; Commentary:

;; This elegant Org-enhancing color theme "leuven" ROCKS!
;; ... and not just for Org mode.
;;
;; To use it, put the following in your Emacs configuration file:
;;
;;   (load-theme 'leuven t)
;;
;; Requirements: Emacs 24+.
;;
;; NOTE -- Would you like implement a version of this for dark backgrounds,
;; please do so!  I'm willing to integrate it...

;;; Code:

;;; Options.

(defgroup leuven nil
  "Leuven theme options.
The theme has to be reloaded after changing anything in this group."
  :group 'faces)

(defcustom leuven-scale-outline-headlines t
  "Scale `outline' (and `org') level-1 headlines.
This can be nil for unscaled, t for using the theme default, or a scaling number."
  :type '(choice
          (const :tag "Unscaled" nil)
          (const :tag "Default provided by theme" t)
          (number :tag "Set scaling"))
  :group 'leuven)

(defcustom leuven-scale-org-agenda-structure t
  "Scale Org agenda structure lines, like dates.
This can be nil for unscaled, t for using the theme default, or a scaling number."
  :type '(choice
          (const :tag "Unscaled" nil)
          (const :tag "Default provided by theme" t)
          (number :tag "Set scaling"))
  :group 'leuven)

(defun leuven-scale-font (control default-height)
  "Function for splicing optional font heights into face descriptions.
CONTROL can be a number, nil, or t.  When t, use DEFAULT-HEIGHT."
  (cond
   ((numberp control) (list :height control))
   ((eq t control) (list :height default-height))
   (t nil)))

;;; Theme Faces.

(deftheme leuven
  "Face colors with a light background.
Basic, Font Lock, Isearch, Gnus, Message, Org mode, Diff, Ediff,
Flyspell, Semantic, and Ansi-Color faces are included -- and much
more...")

(let ((class '((class color) (min-colors 89)))

      ;; Leuven generic colors.
      (cancel '(:slant italic :strike-through t :foreground "#585863"))
      (clock-line '(:box (:line-width 1 :color "#cda264") :foreground "#ffffff" :background "#1338ff"))
      (code-block '(:foreground "#ffff84" :background "#292950"))
      (code-inline '(:foreground "#ff9cff" :background "#2a293b"))
      (column '(:height 1.0 :weight normal :slant normal :underline nil :strike-through nil :foreground "#1b54bb" :background "#293452"))
      (completion-inline '(:weight normal :foreground "#41414d" :inherit hl-line)) ; Like Google.
      (completion-other-candidates '(:weight bold :foreground "#ffffff" :background "#3a3235"))
      (completion-selected-candidate '(:weight bold :foreground "#292935" :background "#ffae68"))
      (diff-added '(:background "#472953"))
      (diff-changed '(:foreground "#ffc30f" :background "#474735"))
      (diff-header '(:weight bold :foreground "#7fffff" :background "#29297c"))
      (diff-hunk-header '(:foreground "#66ff73" :background "#293835"))
      (diff-none '(:foreground "#787884"))
      (diff-refine-added '(:background "#6a0f77"))
      (diff-refine-removed '(:background "#034b53"))
      (diff-removed '(:background "#293d48"))
      (directory '(:weight bold :foreground "#ffc30f" :background "#29295c"))
      (file '(:foreground "#ffffff"))
      (function-param '(:foreground "#dc8e88"))
      (grep-file-name '(:weight bold :foreground "#d6b86e")) ; Used for grep hits.
      (grep-line-number '(:weight bold :foreground "#5bcb5e"))
      (highlight-blue '(:background "#3f3935"))
      (highlight-blue2 '(:background "#413539"))
      (highlight-gray '(:background "#41414e"))
      (highlight-green '(:background "#2c103e"))
      (highlight-red '(:background "#033945"))
      (highlight-yellow '(:background "#302961"))
      (link '(:weight normal :underline t :foreground "#ff935d"))
      (link-no-underline '(:weight normal :foreground "#ff935d"))
      (mail-header-name '(:family "Sans Serif" :weight normal :foreground "#5e5e6a"))
      (mail-header-other '(:family "Sans Serif" :slant normal :foreground "#9a9aa5"))
      (mail-read '(:foreground "#747480"))
      (mail-read-high '(:foreground "#80808c"))
      (mail-ticked '(:foreground "#02cdff"))
      (mail-to '(:family "Sans Serif" :underline nil :foreground "#ff935d"))
      (mail-unread '(:weight bold :foreground "#ffffff"))
      (mail-unread-high '(:weight bold :foreground "#eda787"))
      (marked-line '(:foreground "#55ffff" :background "#035762"))
      (match '(:weight bold :background "#0303ff")) ; occur patterns + match in helm for files + match in Org files.
      (ol1 `(,@(leuven-scale-font leuven-scale-outline-headlines 1.3) :weight bold :overline "#5a5a65" :foreground "#c4c4ce" :background "#363642"))
      (ol2 '(:height 1.0 :weight bold :overline "#eecbb5" :foreground "#eecbb5" :background "#403238"))
      (ol3 '(:height 1.0 :weight bold :foreground "#ffabe6" :background "#372943"))
      (ol4 '(:height 1.0 :weight bold :slant normal :foreground "#169dff"))
      (ol5 '(:height 1.0 :weight bold :slant normal :foreground "#1ddb7f"))
      (ol6 '(:height 1.0 :weight bold :slant italic :foreground "#ff8941"))
      (ol7 '(:height 1.0 :weight bold :slant italic :foreground "#d353dd"))
      (ol8 '(:height 1.0 :weight bold :slant italic :foreground "#0380fc"))
      (paren-matched '(:background "#41194a")) ; Or take that green for region?
      (paren-unmatched '(:weight bold :underline "#01ffff" :foreground "#ffffff" :background "#035c67"))
      (region '(:background "#732e0f"))
      (shadow '(:foreground "#81818d"))
      (string '(:foreground "#88a8eb")) ; or #30c9dc
      (subject '(:family "Sans Serif" :weight bold :foreground "#ffffff"))
      (symlink '(:foreground "#e17337"))
      (tab '(:foreground "#3d3d49" :background "#292935"))
      (trailing '(:foreground "#3d3d49" :background "#292980"))
      (volatile-highlight '(:underline nil :foreground "#292935" :background "#62ca73"))
      (volatile-highlight-supersize '(:height 1.1 :underline nil :foreground "#292935" :background "#62ca73")) ; flash-region
      (vc-branch '(:box (:line-width 1 :color "#ff35d6") :foreground "#ffffff" :background "#570362"))
      (xml-attribute '(:foreground "#0d9dd4"))
      (xml-tag '(:foreground "#52e572"))
      (highlight-current-tag '(:background "#3d3d35")) ; #38333c or #0316e2
  )

  (custom-theme-set-faces
   'leuven
   `(default ((,class (:foreground "#cdcdd6" :background "#292935"))))
   `(bold ((,class (:weight bold :foreground "#ffffff"))))
   `(bold-italic ((,class (:weight bold :slant italic :foreground "#ffffff"))))
   `(italic ((,class (:slant italic :foreground "#e6e6ed"))))
   `(underline ((,class (:underline t))))
   `(cursor ((,class (:background "#e0440f"))))

   ;; Lucid toolkit emacs menus.
   `(menu ((,class (:foreground "#292935" :background "#cdcdd6"))))

   ;; Highlighting faces.
   `(fringe ((,class (:foreground "#b56334" :background "#292935"))))
   `(highlight ((,class ,highlight-blue)))
   `(region ((,class ,region)))
   `(secondary-selection ((,class ,match))) ; Used by Org-mode for highlighting matched entries and keywords.
   `(isearch ((,class (:underline "#ffffff" :foreground "#292935" :background "#a78c61"))))
   `(isearch-fail ((,class (:weight bold :foreground "#ffffff" :background "#033541"))))
   `(lazy-highlight ((,class (:foreground "#ffffff" :background "#0303ff")))) ; Isearch others (see `match').
   `(trailing-whitespace ((,class ,trailing)))
   `(query-replace ((,class (:inherit isearch))))
   `(whitespace-hspace ((,class (:foreground "#2f2f3b")))) ; see also `nobreak-space'
   `(whitespace-indentation ((,class ,tab)))
   `(whitespace-line ((,class (:foreground "#33ffff" :background "#030384"))))
   `(whitespace-tab ((,class ,tab)))
   `(whitespace-trailing ((,class ,trailing)))

   ;; Mode line faces.
   `(mode-line ((,class (:box (:line-width 1 :color "#e6d1b6") :foreground "#7c3322" :background "#cda264"))))
   `(mode-line-inactive ((,class (:box (:line-width 1 :color "#b2b2be") :foreground "#363643" :background "#666575"))))
   `(mode-line-buffer-id ((,class (:weight bold :foreground "#292935"))))
   `(mode-line-emphasis ((,class (:weight bold :foreground "#292935"))))
   `(mode-line-highlight ((,class (:foreground "#0303ff"))))

   ;; Escape and prompt faces.
   `(minibuffer-prompt ((,class (:weight bold :foreground "#ffffff" :background "#032aff"))))
   `(minibuffer-noticeable-prompt ((,class (:weight bold :foreground "#ffffff" :background "#032aff"))))
   `(escape-glyph ((,class (:foreground "#ff723c"))))
   `(error ((,class (:foreground "#01ffff"))))
   `(warning ((,class (:weight bold :foreground "#035cff"))))
   `(success ((,class (:foreground "#892beb"))))

   ;; Font lock faces.
   `(font-lock-builtin-face ((,class (:foreground "#ff912d"))))
   `(font-lock-comment-delimiter-face ((,class (:foreground "#737388")))) ; #9797a2
   `(font-lock-comment-face ((,class (:slant italic :foreground "#737388")))) ; #9797a2
   `(font-lock-constant-face ((,class (:foreground "#30c9dc"))))
   `(font-lock-doc-face ((,class (:foreground "#85bee9"))))
   ;; `(font-lock-doc-string-face ((,class (:foreground "#88a8eb")))) ; XEmacs only, but is used for HTML exports from org2html (and not interactively)
   `(font-lock-function-name-face ((,class (:weight normal :foreground "#ff9a73"))))
   `(font-lock-keyword-face ((,class (:bold nil :foreground "#ffc30f")))) ; #caac31
   `(font-lock-preprocessor-face ((,class (:foreground "#80808c"))))
   `(font-lock-regexp-grouping-backslash ((,class (:weight bold :inherit nil))))
   `(font-lock-regexp-grouping-construct ((,class (:weight bold :inherit nil))))
   `(font-lock-string-face ((,class ,string)))
   `(font-lock-type-face ((,class (:weight normal :foreground "#9ccc69"))))
   `(font-lock-variable-name-face ((,class (:weight normal :foreground "#46ca67")))) ; #7fff8c
   `(font-lock-warning-face ((,class (:weight bold :foreground "#01ffff"))))

   ;; Button and link faces.
   `(link ((,class ,link)))
   `(link-visited ((,class (:underline t :foreground "#1b889e"))))
   `(button ((,class (:underline t :foreground "#ff935d"))))
   `(header-line ((,class (:box (:line-width 1 :color "#ffffff") :foreground "#ffffff" :background "#363642"))))

   ;; Gnus faces.
   `(gnus-button ((,class (:weight normal))))
   `(gnus-cite-attribution-face ((,class (:foreground "#b0b05c"))))
   `(gnus-cite-1 ((,class (:foreground "#b0b05c" :background "#30303c"))))
   `(gnus-cite-2 ((,class (:foreground "#99ffa5" :background "#30303c"))))
   `(gnus-cite-3 ((,class (:foreground "#ff8994" :background "#30303c"))))
   `(gnus-cite-4 ((,class (:foreground "#66ffff" :background "#30303c"))))
   `(gnus-cite-5 ((,class (:foreground "#ffff73" :background "#30303c"))))
   `(gnus-cite-6 ((,class (:foreground "#459aff" :background "#30303c"))))
   `(gnus-cite-7 ((,class (:foreground "#b0b05c" :background "#30303c"))))
   `(gnus-cite-8 ((,class (:foreground "#99ffa5" :background "#30303c"))))
   `(gnus-cite-9 ((,class (:foreground "#ff8994" :background "#30303c"))))
   `(gnus-cite-10 ((,class (:foreground "#66ffff" :background "#30303c"))))
   `(gnus-emphasis-bold ((,class (:weight bold))))
   `(gnus-emphasis-highlight-words ((,class (:foreground "#0303ff" :background "#ffffff"))))
   `(gnus-group-mail-1 ((,class (:weight bold :foreground "#02b05c"))))
   `(gnus-group-mail-1-empty ((,class (:foreground "#b0b05c"))))
   `(gnus-group-mail-2 ((,class (:weight bold :foreground "#01ffa5"))))
   `(gnus-group-mail-2-empty ((,class (:foreground "#99ffa5"))))
   `(gnus-group-mail-3 ((,class ,mail-unread)))
   `(gnus-group-mail-3-empty ((,class ,mail-read)))
   `(gnus-group-mail-low ((,class ,cancel)))
   `(gnus-group-mail-low-empty ((,class ,cancel)))
   `(gnus-group-news-1 ((,class (:weight bold :foreground "#02b05c"))))
   `(gnus-group-news-1-empty ((,class (:foreground "#b0b05c"))))
   `(gnus-group-news-2 ((,class (:weight bold :foreground "#01ffa5"))))
   `(gnus-group-news-2-empty ((,class (:foreground "#99ffa5"))))
   `(gnus-group-news-3 ((,class ,mail-unread)))
   `(gnus-group-news-3-empty ((,class ,mail-read)))
   `(gnus-group-news-4 ((,class (:weight bold :foreground "#01ffff"))))
   `(gnus-group-news-4-empty ((,class (:foreground "#66ffff"))))
   `(gnus-group-news-5 ((,class (:weight bold :foreground "#01ff73"))))
   `(gnus-group-news-5-empty ((,class (:foreground "#ffff73"))))
   `(gnus-group-news-6 ((,class (:weight bold :foreground "#81818d"))))
   `(gnus-group-news-6-empty ((,class (:foreground "#80808c"))))
   `(gnus-header-content ((,class ,mail-header-other)))
   `(gnus-header-from ((,class (:family "Sans Serif" :foreground "#ffffff"))))
   `(gnus-header-name ((,class ,mail-header-name)))
   `(gnus-header-newsgroups ((,class (:family "Sans Serif" :foreground "#ce6841"))))
   `(gnus-header-subject ((,class ,subject)))
   `(gnus-picon ((,class (:foreground "#0303ff" :background "#292935"))))
   `(gnus-picon-xbm ((,class (:foreground "#0303ff" :background "#292935"))))
   `(gnus-server-closed ((,class (:slant italic :foreground "#ffc30f" :background "#292935"))))
   `(gnus-server-denied ((,class (:weight bold :foreground "#01ffff" :background "#292935"))))
   `(gnus-server-opened ((,class (:family "Sans Serif" :foreground "#292935" :foreground "#ba9536"))))
   `(gnus-signature ((,class (:slant italic :foreground "#75737e"))))
   `(gnus-splash ((,class (:foreground "#0274ff"))))
   `(gnus-summary-cancelled ((,class ,cancel)))
   `(gnus-summary-high-ancient ((,class ,mail-unread-high)))
   `(gnus-summary-high-read ((,class ,mail-read-high)))
   `(gnus-summary-high-ticked ((,class ,mail-ticked)))
   `(gnus-summary-high-unread ((,class ,mail-unread-high)))
   `(gnus-summary-low-ancient ((,class (:slant italic :foreground "#ffffff"))))
   `(gnus-summary-low-read ((,class (:slant italic :foreground "#686873" :background "#444450"))))
   `(gnus-summary-low-ticked ((,class ,mail-ticked)))
   `(gnus-summary-low-unread ((,class (:slant italic :foreground "#ffffff"))))
   `(gnus-summary-normal-ancient ((,class (:slant italic :foreground "#ff8e47"))))
   `(gnus-summary-normal-read ((,class ,mail-read)))
   `(gnus-summary-normal-ticked ((,class ,mail-ticked)))
   `(gnus-summary-normal-unread ((,class ,mail-unread)))
   `(gnus-summary-selected ((,class (:foreground "#292935" :background "#ff7436"))))
   `(gnus-x-face ((,class (:foreground "#ffffff" :background "#292935"))))

   ;; Message faces.
   `(message-header-name ((,class ,mail-header-name)))
   `(message-header-cc ((,class ,mail-to)))
   `(message-header-other ((,class ,mail-header-other)))
   `(message-header-subject ((,class ,subject)))
   `(message-header-to ((,class ,mail-to)))
   `(message-cited-text ((,class (:foreground "#b0b05c" :background "#30303c"))))
   `(message-separator ((,class (:family "Sans Serif" :weight normal :foreground "#443f47"))))
   `(message-header-newsgroups ((,class (:family "Sans Serif" :foreground "#ce6841"))))
   `(message-header-xheader ((,class ,mail-header-other)))
   `(message-mml ((,class (:foreground "#669dd2"))))

   ;; Diff.
   `(diff-added ((,class ,diff-added)))
   `(diff-changed ((,class ,diff-changed)))
   `(diff-context ((,class ,diff-none)))
   `(diff-file-header ((,class ,diff-header)))
   `(diff-file1-hunk-header ((,class (:foreground "#74ff81" :background "#3b343d"))))
   `(diff-file2-hunk-header ((,class (:foreground "#d582df" :background "#3b343d"))))
   `(diff-function ((,class (:foreground "#356841"))))
   `(diff-header ((,class ,diff-header)))
   `(diff-hunk-header ((,class ,diff-hunk-header)))
   `(diff-index ((,class ,diff-header)))
   `(diff-indicator-added ((,class (:foreground "#c768cf" :background "#562958"))))
   `(diff-indicator-changed ((,class (:background "#493835"))))
   `(diff-indicator-removed ((,class (:foreground "#34cdd6" :background "#294850"))))
   `(diff-refine-added ((,class ,diff-refine-added)))
   `(diff-refine-change ((,class (:background "#474735"))))
   `(diff-refine-removed ((,class ,diff-refine-removed)))
   `(diff-removed ((,class ,diff-removed)))

   ;; SMerge.
   `(smerge-mine ((,class ,diff-changed)))
   `(smerge-other ((,class ,diff-added)))
   `(smerge-base ((,class ,diff-removed)))
   `(smerge-markers ((,class (:background "#294062"))))
   `(smerge-refined-change ((,class (:background "#57570f"))))

   ;; Ediff.
   `(ediff-current-diff-A ((,class (:background "#294753"))))
   `(ediff-current-diff-B ((,class (:background "#472953"))))
   `(ediff-current-diff-C ((,class (:background "#ff030f"))))
   `(ediff-even-diff-A ((,class (:background "#2e2e3a"))))
   `(ediff-even-diff-B ((,class (:background "#2e2e3a"))))
   `(ediff-fine-diff-A ((,class (:background "#035762"))))
   `(ediff-fine-diff-B ((,class (:background "#ac03b5"))))
   `(ediff-odd-diff-A ((,class (:background "#2e2e3a"))))
   `(ediff-odd-diff-B ((,class (:background "#2e2e3a"))))

   ;; Flyspell.
   (if (version< emacs-version "24.4")
       `(flyspell-duplicate ((,class (:underline "#0d168c" :inherit nil))))
     `(flyspell-duplicate ((,class (:underline (:style wave :color "#0d168c") :background "#2c2f62" :inherit nil)))))
   (if (version< emacs-version "24.4")
       `(flyspell-incorrect ((,class (:underline "#075a67" :inherit nil))))
     `(flyspell-incorrect ((,class (:underline (:style wave :color "#075a67") :background "#324d56":inherit nil)))))

   ;; ;; Semantic faces.
   ;; `(semantic-decoration-on-includes ((,class (:underline ,cham-4))))
   ;; `(semantic-decoration-on-private-members-face ((,class (:background ,alum-2))))
   ;; `(semantic-decoration-on-protected-members-face ((,class (:background ,alum-2))))
   `(semantic-decoration-on-unknown-includes ((,class (:background "#292e3a"))))
   ;; `(semantic-decoration-on-unparsed-includes ((,class (:underline ,orange-3))))
   `(semantic-highlight-func-current-tag-face ((,class ,highlight-current-tag)))
   `(semantic-tag-boundary-face ((,class (:overline "#898994")))) ; Method separator.
   ;; `(semantic-unmatched-syntax-face ((,class (:underline ,red-1))))

   `(Info-title-1-face ((,class ,ol1)))
   `(Info-title-2-face ((,class ,ol2)))
   `(Info-title-3-face ((,class ,ol3)))
   `(Info-title-4-face ((,class ,ol4)))
   `(ace-jump-face-foreground ((,class (:weight bold :foreground "#ffffff" :background "#035cff"))))
   `(ahs-face ((,class (:background "#414135"))))
   `(ahs-definition-face ((,class (:background "#034b47"))))
   `(ahs-plugin-defalt-face ((,class (:background "#294135")))) ; Current.
   `(anzu-match-1 ((,class (:foreground "#ffffff" :background "#820339"))))
   `(anzu-match-2 ((,class (:foreground "#ffffff" :background "springgreen"))))
   `(anzu-match-3 ((,class (:foreground "#ffffff" :background "#01ffff"))))
   `(anzu-mode-line ((,class (:foreground "#ffffff" :background "#81038c"))))
   `(anzu-mode-line-no-match ((,class (:foreground "#ffffff" :background "#02808c"))))
   `(anzu-replace-highlight ((,class (:inherit query-replace))))
   `(anzu-replace-to ((,class (:weight bold :foreground "#43cd10" :background "#0444d6"))))
   `(auto-dim-other-buffers-face ((,class (:background "#2f2f3b"))))
   `(avy-background-face ((,class (:background "#585863"))))
   `(avy-lead-face ((,class (:weight bold :foreground "#ffffff" :background "#035cff"))))
   `(bbdb-company ((,class (:slant italic :foreground "#ba7e59"))))
   `(bbdb-field-name ((,class (:weight bold :foreground "#ba7e59"))))
   `(bbdb-field-value ((,class (:foreground "#ba7e59"))))
   `(bbdb-name ((,class (:underline t :foreground "#029ad6"))))
   `(bmkp-light-fringe-autonamed ((,class (:foreground "#a6a6b1" :background "#2d2d39"))))
   `(bmkp-light-autonamed ((,class (:background "#363642"))))
   `(bmkp-light-fringe-non-autonamed ((,class (:foreground "#292962" :background "#ff0312")))) ; default
   `(bmkp-light-non-autonamed ((,class (:background "#632935"))))
   `(browse-kill-ring-separator-face ((,class (:foreground "#01ffff"))))
   `(calendar-month-header ((,class (:weight bold :foreground "#b1b6cd" :background "#292962"))))
   `(calendar-today ((,class (:weight bold :foreground "#b1b6cd" :background "#292962"))))
   `(calendar-weekday-header ((,class (:weight bold :foreground "#ea9e5d"))))
   `(calendar-weekend-header ((,class (:weight bold :foreground "#b2b2bc"))))
   `(cfw:face-annotation ((,class (:foreground "#892beb" :background "#01ffff"))))
   `(cfw:face-day-title ((,class (:foreground "#383844"))))
   `(cfw:face-default-content ((,class (:foreground "#d7ae69"))))
   `(cfw:face-default-day ((,class (:weight bold))))
   `(cfw:face-disable ((,class (:foreground "#585863"))))
   `(cfw:face-grid ((,class (:foreground "#242430"))))
   `(cfw:face-header ((,class (:foreground "#ea9e5d" :background "#292935" :weight bold))))
   `(cfw:face-holiday ((,class (:foreground "#898994" :background "#413a35"))))
   `(cfw:face-periods ((,class (:foreground "#292935" :background "#9a7434" :slant italic))))
   `(cfw:face-saturday ((,class (:foreground "#b2b2bc" :background "#292935" :weight bold))))
   `(cfw:face-select ((,class (:foreground "#b66c22" :background "#383538"))))
   `(cfw:face-sunday ((,class (:foreground "#b2b2bc" :background "#292935" :weight bold))))
   `(cfw:face-title ((,class (:height 2.0 :foreground "#9999a4" :weight bold :inherit variable-pitch))))
   `(cfw:face-today ((,class (:foreground "#b1b6cd" :background "#292962"))))
   `(cfw:face-today-title ((,class (:foreground "#292935" :background "#e99a5b"))))
   `(cfw:face-toolbar ((,class (:background "#292935"))))
   `(cfw:face-toolbar-button-off ((,class (:foreground "#32323e" :background "#292935"))))
   `(cfw:face-toolbar-button-on ((,class (:foreground "#a2a2ad" :background "#30303c"))))
   `(change-log-date ((,class (:foreground "#60e01d"))))
   `(change-log-file ((,class (:weight bold :foreground "#bf7d49"))))
   `(change-log-list ((,class (:foreground "#ffffff" :background "#8c1346"))))
   `(change-log-name ((,class (:foreground "#88a8eb"))))
   `(circe-highlight-all-nicks-face ((,class (:foreground "#ffc30f" :background "#363642")))) ; other nick names
   `(circe-highlight-nick-face ((,class (:foreground "#8895eb" :background "#363642")))) ; messages with my nick cited
   `(circe-my-message-face ((,class (:foreground "#757581" :background "#363642"))))
   `(circe-originator-face ((,class (:foreground "#ffc30f"))))
   `(circe-prompt-face ((,class (:foreground "#01ffff"))))
   `(circe-server-face ((,class (:foreground "#683728"))))
   `(comint-highlight-input ((,class (:weight bold :foreground "#ffc30f" :inherit nil))))
   ;; `(comint-highlight-prompt ((,class (:weight bold :foreground "#ffffff" :background "#032aff"))))
   `(comint-highlight-prompt ((,class (:weight bold :foreground "#ffc30f" :inherit nil))))

   ;; `(ac-selection-face ((,class ,completion-selected-candidate)))
   `(ac-selection-face ((,class (:weight bold :foreground "#292935" :background "#035cff")))) ; TEMP For diff'ing AC from Comp.
   `(ac-candidate-face ((,class ,completion-other-candidates)))
   `(ac-completion-face ((,class ,completion-inline)))
   `(ac-candidate-mouse-face ((,class (:inherit highlight))))
   `(popup-scroll-bar-background-face ((,class (:background "#3a3235"))))
   `(popup-scroll-bar-foreground-face ((,class (:background "#302729")))) ; Scrollbar (visible).

   `(company-tooltip-common-selection ((,class (:weight normal :foreground "#2d3962" :inherit company-tooltip-selection)))) ; Prefix + common part in tooltip (for selection).
   `(company-tooltip-selection ((,class ,completion-selected-candidate))) ; Suffix in tooltip (for selection).
   `(company-tooltip-annotation-selection ((,class (:weight normal :foreground "#2d3962")))) ; Annotation (for selection).

   `(company-tooltip-common ((,class (:weight normal :foreground "#4fff5c" :inherit company-tooltip)))) ; Prefix + common part in tooltip.
   `(company-tooltip ((,class ,completion-other-candidates))) ; Suffix in tooltip.
   `(company-tooltip-annotation ((,class (:weight normal :foreground "#dcaf0f")))) ; Annotation.

   `(company-preview-common ((,class ,completion-inline)))

   `(company-scrollbar-bg ((,class (:background "#3a3235"))))
   `(company-scrollbar-fg ((,class (:background "#302729")))) ; Scrollbar (visible).

   `(compare-windows ((,class (:background "#0303ff"))))
   ;; `(completions-common-part ((,class (:foreground "#01ffff" :weight bold))))
   ;; `(completions-first-difference ((,class (:foreground "#892beb" :weight bold))))
   `(compilation-error ((,class (:weight bold :foreground "#01ffff")))) ; Used for grep error messages.
   `(compilation-info ((,class ,grep-file-name)))
   `(compilation-line-number ((,class ,grep-line-number)))
   `(compilation-warning ((,class (:weight bold :foreground "#035cff"))))
   `(compilation-mode-line-exit ((,class (:weight bold :foreground "#892beb")))) ; :exit[matched]
   `(compilation-mode-line-fail ((,class (:weight bold :foreground "#127e1f")))) ; :exit[no match]
   `(compilation-mode-line-run ((,class (:weight bold :foreground "#035cff")))) ; :run
   `(css-property ((,class (:foreground "#897feb"))))
   `(css-selector ((,class (:weight bold :foreground "#ffc30f"))))
   `(custom-button ((,class (:box (:line-width 2 :style released-button) :foreground "#ffffff" :background "lightgrey"))))
   `(custom-button-mouse ((,class (:box (:line-width 2 :style released-button) :foreground "#ffffff" :background "#40404c"))))
   `(custom-button-pressed ((,class (:box (:line-width 2 :style pressed-button) :foreground "#ffffff" :background "#2e2e3a"))))
   `(custom-button-pressed-unraised ((,class (:underline t :foreground "#74ff81"))))
   `(custom-button-unraised ((,class (:underline t))))
   `(custom-changed ((,class (:foreground "#292935" :background "#ffc30f"))))
   `(custom-comment ((,class (:background "#282834"))))
   `(custom-comment-tag ((,class (:foreground "#ffff81"))))
   `(custom-documentation ((,class (nil))))
   `(custom-face-tag ((,class (:family "Sans Serif" :height 1.2 :weight bold))))
   `(custom-group-tag ((,class (:height 1.2 :weight bold :foreground "#ffc30f"))))
   `(custom-group-tag-1 ((,class (:family "Sans Serif" :height 1.2 :weight bold :foreground "#01ffff"))))
   `(custom-invalid ((,class (:foreground "#0303ff" :background "#01ffff"))))
   `(custom-link ((,class (:underline t :foreground "#ffc30f"))))
   `(custom-modified ((,class (:foreground "#292935" :background "#ffc30f"))))
   `(custom-rogue ((,class (:foreground "#034142" :background "#ffffff"))))
   `(custom-saved ((,class (:underline t))))
   `(custom-set ((,class (:foreground "#ffc30f" :background "#292935"))))
   `(custom-state ((,class (:foreground "#889deb"))))
   `(custom-themed ((,class (:foreground "#292935" :background "#ffc30f"))))
   `(custom-variable-button ((,class (:weight bold :underline t))))
   `(custom-variable-tag ((,class (:family "Sans Serif" :height 1.2 :weight bold :foreground "#ffc30f"))))
   `(custom-visibility ((,class ,link)))
   `(diff-hl-change ((,class (:foreground "#ffff40" :background "#493835"))))
   `(diff-hl-delete ((,class (:foreground "#32ffff" :background "#294850"))))
   `(diff-hl-dired-change ((,class (:weight bold :foreground "#ffffff" :background "#035ed4"))))
   `(diff-hl-dired-delete ((,class (:weight bold :foreground "#29c7f2"))))
   `(diff-hl-dired-ignored ((,class (:weight bold :foreground "#292935" :background "#414661"))))
   `(diff-hl-dired-insert ((,class (:weight bold :foreground "#484853"))))
   `(diff-hl-dired-unknown ((,class (:foreground "#292935" :background "#c1c559"))))
   `(diff-hl-insert ((,class (:foreground "#889deb" :background "#562958"))))
   `(diff-hl-unknown ((,class (:foreground "#292935" :background "#c1c559"))))
   `(diary-face ((,class (:foreground "#7a3811"))))
   `(dircolors-face-asm ((,class (:foreground "#ffffff"))))
   `(dircolors-face-backup ((,class (:foreground "#ffffff"))))
   `(dircolors-face-compress ((,class (:foreground "#01ffff"))))
   `(dircolors-face-dir ((,class ,directory)))
   `(dircolors-face-doc ((,class (:foreground "#ffffff"))))
   `(dircolors-face-dos ((,class (:foreground "#669dd2"))))
   `(dircolors-face-emacs ((,class (:foreground "#ffffff"))))
   `(dircolors-face-exec ((,class (:foreground "#669dd2"))))
   `(dircolors-face-html ((,class (:foreground "#ffffff"))))
   `(dircolors-face-img ((,class (:foreground "#32ff40"))))
   `(dircolors-face-lang ((,class (:foreground "#ffffff"))))
   `(dircolors-face-lang-interface ((,class (:foreground "#ffffff"))))
   `(dircolors-face-make ((,class (:foreground "#ffffff"))))
   `(dircolors-face-objet ((,class (:foreground "#ffffff"))))
   `(dircolors-face-package ((,class (:foreground "#ffffff"))))
   `(dircolors-face-paddb ((,class (:foreground "#ffffff"))))
   `(dircolors-face-ps ((,class (:foreground "#ffffff"))))
   `(dircolors-face-sound ((,class (:foreground "#ff420f"))))
   `(dircolors-face-tar ((,class (:foreground "#01ffff"))))
   `(dircolors-face-text ((,class (:foreground "#ffffff"))))
   `(dircolors-face-yacc ((,class (:foreground "#ffffff"))))
   `(dired-directory ((,class ,directory)))
   `(dired-header ((,class ,directory)))
   `(dired-ignored ((,class (:strike-through t :foreground "#01ffff"))))
   `(dired-mark ((,class ,marked-line)))
   `(dired-marked ((,class ,marked-line)))
   `(dired-symlink ((,class ,symlink)))
   `(diredp-compressed-file-suffix ((,class (:foreground "#01ffff"))))
   `(diredp-date-time ((,class (:foreground "#60e01d"))))
   `(diredp-dir-heading ((,class ,directory)))
   `(diredp-dir-name ((,class ,directory)))
   `(diredp-dir-priv ((,class ,directory)))
   `(diredp-exec-priv ((,class (:background "#fe41ce"))))
   `(diredp-executable-tag ((,class (:foreground "#669dd2" :background "#292935"))))
   `(diredp-file-name ((,class ,file)))
   `(diredp-file-suffix ((,class (:foreground "#41414d"))))
   `(diredp-flag-mark-line ((,class ,marked-line)))
   `(diredp-ignored-file-name ((,class ,shadow)))
   `(diredp-read-priv ((,class (:background "#f7680f"))))
   `(diredp-write-priv ((,class (:foreground "#292935" :background "#02c0ca"))))
   `(eldoc-highlight-function-argument ((,class (:weight bold :foreground "#01ffff" :background "#294135"))))
   `(elfeed-search-filter-face ((,class (:foreground "#43434f"))))
   ;; `(eww-form-checkbox ((,class ())))
   ;; `(eww-form-select ((,class ())))
   ;; `(eww-form-submit ((,class ())))
   `(eww-form-text ((,class (:weight bold :foreground "#c0a89c" :background "#5a341c"))))
   ;; `(eww-form-textarea ((,class ())))
   `(file-name-shadow ((,class ,shadow)))
   `(flycheck-error ((,class (:underline (:color "#02dbea" :style wave) :weight bold :background "#294450"))))
   `(flycheck-error-list-line-number ((,class (:foreground "#5bcb5e"))))
   `(flycheck-fringe-error ((,class (:foreground "#02dbea"))))
   `(flycheck-fringe-info ((,class (:foreground "#739ede"))))
   `(flycheck-fringe-warning ((,class (:foreground "#0d58d0"))))
   `(flycheck-info ((,class (:underline (:color "#739ede" :style wave) :weight bold))))
   `(flycheck-warning ((,class (:underline (:color "#0d58d0" :style wave) :weight bold :background "#29296f"))))
   `(font-latex-bold-face ((,class (:weight bold :foreground "#ffffff"))))
   `(fancy-narrow-blocked-face ((,class (:foreground "#686968"))))
   `(flycheck-color-mode-line-error-face ((, class (:background "#31a5b5"))))
   `(flycheck-color-mode-line-warning-face ((, class (:background "#163aff"))))
   `(flycheck-color-mode-line-info-face ((, class (:background "#0303ff"))))
   `(font-latex-italic-face ((,class (:slant italic :foreground "#e6e6ed"))))
   `(font-latex-math-face ((,class (:foreground "#ffc30f"))))
   `(font-latex-sectioning-1-face ((,class (:family "Sans Serif" :height 2.7 :weight bold :foreground "#9c6c20"))))
   `(font-latex-sectioning-2-face ((,class ,ol1)))
   `(font-latex-sectioning-3-face ((,class ,ol2)))
   `(font-latex-sectioning-4-face ((,class ,ol3)))
   `(font-latex-sectioning-5-face ((,class ,ol4)))
   `(font-latex-sedate-face ((,class (:foreground "#02abff"))))
   `(font-latex-string-face ((,class (:weight bold :foreground "#ff9a0f"))))
   `(font-latex-verbatim-face ((,class (:foreground "#ffff84" :background "#292950" :inherit nil))))
   `(git-commit-summary-face ((,class (:foreground "#ffffff"))))
   `(git-commit-comment-face ((,class (:slant italic :foreground "#9797a2"))))
   `(git-timemachine-commit ((,class ,diff-removed)))
   `(git-timemachine-minibuffer-author-face ((,class ,diff-added)))
   `(git-timemachine-minibuffer-detail-face ((,class ,diff-header)))
   `(google-translate-text-face ((,class (:foreground "#898994" :background "#31313d"))))
   `(google-translate-phonetic-face ((,class (:inherit shadow))))
   `(google-translate-translation-face ((,class (:weight normal :foreground "#d08720" :background "#423b40"))))
   `(google-translate-suggestion-label-face ((,class (:foreground "#01ffff"))))
   `(google-translate-suggestion-face ((,class (:slant italic :underline t))))
   `(google-translate-listen-button-face ((,class (:height 0.8))))
   `(helm-action ((,class (:foreground "#ffffff"))))
   `(helm-bookmark-file ((,class ,file)))
   `(helm-bookmarks-su-face ((,class (:foreground "#01ffff"))))
   `(helm-buffer-directory ((,class ,directory)))
   `(helm-buffer-modified ((,class (:slant italic :foreground "#46ca67"))))
   `(helm-buffer-process ((,class (:foreground "#88a6eb"))))
   `(helm-candidate-number ((,class (:foreground "#ffffff" :background "#0303a5"))))
   `(helm-dir-heading ((,class (:foreground "#ffc30f" :background "#034142"))))
   `(helm-dir-priv ((,class (:foreground "#74ffff" :background "#2e2e3a"))))
   `(helm-ff-directory ((,class ,directory)))
   `(helm-ff-dotted-directory ((,class ,directory)))
   `(helm-ff-executable ((,class (:foreground "#895ceb" :background "#292935"))))
   `(helm-ff-file ((,class (:foreground "#ffffff"))))
   `(helm-ff-invalid-symlink ((,class (:foreground "#0303ff" :background "#01ffff"))))
   `(helm-ff-symlink ((,class ,symlink)))
   `(helm-file-name ((,class (:foreground "#ffc30f"))))
   `(helm-gentoo-match-face ((,class (:foreground "#01ffff"))))
   `(helm-grep-file ((,class ,grep-file-name)))
   `(helm-grep-lineno ((,class ,grep-line-number)))
   `(helm-grep-match ((,class ,match)))
   `(helm-grep-running ((,class (:weight bold :foreground "#292935"))))
   `(helm-isearch-match ((,class (:background "#350341"))))
   `(helm-lisp-show-completion ((,class ,volatile-highlight-supersize))) ; See `helm-dabbrev'.
   ;; `(helm-ls-git-added-copied-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-added-modified-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-conflict-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-deleted-and-staged-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-deleted-not-staged-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-modified-and-staged-face ((,class (:foreground ""))))
   `(helm-ls-git-modified-not-staged-face ((,class (:foreground "#46ca67"))))
   ;; `(helm-ls-git-renamed-modified-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-untracked-face ((,class (:foreground ""))))
   `(helm-match ((,class ,match)))
   `(helm-moccur-buffer ((,class (:foreground "#ff9a41"))))
   `(helm-selection ((,class (:background "#c88b37" :foreground "#292935"))))
   `(helm-selection-line ((,class ,highlight-gray))) ; ???
   `(helm-separator ((,class (:foreground "#01ffff"))))
   `(helm-source-header ((,class (:weight bold :box (:line-width 1 :color "#3a3a46") :background "#464652" :foreground "#ffffff"))))
   `(helm-swoop-target-line-block-face ((,class (:background "#3535ff" :foreground "#dedee6"))))
   `(helm-swoop-target-line-face ((,class (:background "#35350f"))))
   `(helm-swoop-target-word-face ((,class (:weight bold :foreground nil :background "#0444d6"))))
   `(helm-visible-mark ((,class ,marked-line)))
   `(helm-w3m-bookmarks-face ((,class (:underline t :foreground "#ff030f"))))
   `(highlight-changes ((,class (:foreground nil)))) ;; blue "#d1f758"
   `(highlight-changes-delete ((,class (:strike-through nil :foreground nil)))) ;; red "#4af7db"
   `(highlight-symbol-face ((,class (:background "#29298a"))))
   `(hl-line ((,class ,highlight-yellow))) ; Highlight current line.
   `(hl-tags-face ((,class ,highlight-current-tag))) ; ~ Pair highlighting (matching tags).
   `(holiday-face ((,class (:foreground "#898994" :background "#413a35"))))
   `(html-helper-bold-face ((,class (:weight bold :foreground "#ffffff"))))
   `(html-helper-italic-face ((,class (:slant italic :foreground "#ffffff"))))
   `(html-helper-underline-face ((,class (:underline t :foreground "#ffffff"))))
   `(html-tag-face ((,class (:foreground "#ffc30f"))))
   `(ilog-non-change-face ((,class (:height 2.0 :foreground "#9ccc69"))))
   `(ilog-change-face ((,class (:height 2.0 :foreground "#88a6eb"))))
   `(ilog-echo-face ((,class (:height 2.0 :foreground "#ff912d"))))
   `(ilog-load-face ((,class (:foreground "#46ca67"))))
   `(ilog-message-face ((,class (:foreground "#80808c"))))
   `(indent-guide-face ((,class (:foreground "#2e2e3a"))))
   `(info-file ((,class (:family "Sans Serif" :height 1.8 :weight bold :box (:line-width 1 :color "#ffff41") :foreground "#9c6c20" :background "#594435"))))
   `(info-header-node ((,class (:underline t :foreground "#035cff")))) ; nodes in header
   `(info-header-xref ((,class (:underline t :foreground "#e2700f")))) ; cross references in header
   `(info-index-match ((,class (:weight bold :foreground nil :background "#0444d6")))) ; when using `i'
   `(info-menu-header ((,class ,ol2))) ; menu titles (headers) -- major topics
   `(info-menu-star ((,class (:foreground "#ffffff")))) ; every 3rd menu item
   `(info-node ((,class (:underline t :foreground "#ffc30f")))) ; node names
   `(info-quoted-name ((,class ,code-inline)))
   `(info-string ((,class ,string)))
   `(info-title-1 ((,class ,ol1)))
   `(info-xref ((,class (:underline t :foreground "#ff935d")))) ; unvisited cross-references
   `(info-xref-visited ((,class (:underline t :foreground "#74ff81")))) ; previously visited cross-references
   ;; js2-highlight-vars-face (~ auto-highlight-symbol)
   `(js2-error ((,class (:box (:line-width 1 :color "#02c9d2") :background "#033945")))) ; DONE.
   `(js2-external-variable ((,class (:foreground "#01ffff" :background "#292e3a")))) ; DONE.
   `(js2-function-param ((,class ,function-param)))
   `(js2-instance-member ((,class (:foreground "#67ce41"))))
   `(js2-jsdoc-html-tag-delimiter ((,class (:foreground "#30c9dc"))))
   `(js2-jsdoc-html-tag-name ((,class (:foreground "#30c9dc"))))
   `(js2-jsdoc-tag ((,class (:weight normal :foreground "#9ccc69"))))
   `(js2-jsdoc-type ((,class (:foreground "#ba7e59"))))
   `(js2-jsdoc-value ((,class (:weight normal :foreground "#46ca67")))) ; #7fff8c
   `(js2-magic-paren ((,class (:underline t))))
   `(js2-private-function-call ((,class (:foreground "#275ce8"))))
   `(js2-private-member ((,class (:foreground "#345277"))))
   `(js2-warning ((,class (:underline "#035cff"))))

   ;; Org non-standard faces.
   `(leuven-org-deadline-overdue ((,class (:foreground "#0edab2"))))
   `(leuven-org-deadline-today ((,class (:weight bold :foreground "#b1b6cd" :background "#292962"))))
   `(leuven-org-deadline-tomorrow ((,class (:foreground "#c159fa"))))
   `(leuven-org-deadline-future ((,class (:foreground "#c159fa"))))
   `(leuven-gnus-unseen ((,class (:weight bold :foreground "#048efe"))))
   `(leuven-gnus-date ((,class (:foreground "#02804e"))))
   `(leuven-gnus-size ((,class (:foreground "#7242ab"))))
   `(leuven-todo-items-face ((,class (:weight bold :foreground "#02cfe3" :background "#030384"))))

   `(light-symbol-face ((,class (:background "#29298a"))))
   `(linum ((,class (:foreground "#676772" :background "#383844"))))
   `(log-view-file ((,class (:foreground "#ffff41" :background "#3b343d"))))
   `(log-view-message ((,class (:foreground "#ffffff" :background "#141797"))))
   `(lui-button-face ((,class ,link)))
   `(lui-highlight-face ((,class (:box '(:line-width 1 :color "#33ffff") :foreground "#33ffff" :background "#030384")))) ; my nickname
   `(lui-time-stamp-face ((,class (:foreground "#60e01d"))))
   `(magit-blame-header ((,class (:inherit magit-diff-file-header))))
   `(magit-blame-heading ((,class (:overline "#5a5a65" :foreground "#01ffff" :background "#3f3f4b"))))
   `(magit-blame-hash ((,class (:overline "#5a5a65" :foreground "#01ffff" :background "#3f3f4b"))))
   `(magit-blame-name ((,class (:overline "#5a5a65" :foreground "#85bee9" :background "#3f3f4b"))))
   `(magit-blame-date ((,class (:overline "#5a5a65" :foreground "#ffc30f" :background "#3f3f4b"))))
   `(magit-blame-summary ((,class (:overline "#5a5a65" :weight bold :foreground "#90909b" :background "#3f3f4b"))))
   `(magit-branch ((,class ,vc-branch)))
   `(magit-diff-add ((,class ,diff-added)))
   `(magit-diff-del ((,class ,diff-removed)))
   `(magit-diff-file-header ((,class (:height 1.1 :weight bold :foreground "#bf7d49"))))
   `(magit-diff-hunk-header ((,class ,diff-hunk-header)))
   `(magit-diff-none ((,class ,diff-none)))
   `(magit-header ((,class (:foreground "#292935" :background "#02c0ca"))))
   `(magit-item-highlight ((,class (:background "#3b343d"))))
   `(magit-item-mark ((,class ,marked-line)))
   `(magit-log-head-label ((,class (:box (:line-width 1 :color "#ffc30f" :style nil)))))
   `(magit-log-tag-label ((,class (:box (:line-width 1 :color "#895deb" :style nil)))))
   `(magit-section-title ((,class (:family "Sans Serif" :height 1.8 :weight bold :foreground "#9c6c20" :inherit nil))))
   `(makefile-space-face ((,class (:background "#029759"))))
   `(makefile-targets ((,class (:weight bold :foreground "#ffc30f"))))
   ;; `(markdown-blockquote-face ((,class ())))
   `(markdown-bold-face ((,class (:inherit bold))))
   ;; `(markdown-comment-face ((,class ())))
   ;; `(markdown-footnote-face ((,class ())))
   ;; `(markdown-header-delimiter-face ((,class ())))
   ;; `(markdown-header-face ((,class ())))
   `(markdown-header-face-1 ((,class ,ol1)))
   `(markdown-header-face-2 ((,class ,ol2)))
   `(markdown-header-face-3 ((,class ,ol3)))
   `(markdown-header-face-4 ((,class ,ol4)))
   `(markdown-header-face-5 ((,class ,ol5)))
   `(markdown-header-face-6 ((,class ,ol6)))
   ;; `(markdown-header-rule-face ((,class ())))
   `(markdown-inline-code-face ((,class ,code-inline)))
   `(markdown-italic-face ((,class (:inherit italic))))
   `(markdown-language-keyword-face ((,class (:inherit org-block-begin-line))))
   ;; `(markdown-line-break-face ((,class ())))
   `(markdown-link-face ((,class ,link-no-underline)))
   ;; `(markdown-link-title-face ((,class ())))
   ;; `(markdown-list-face ((,class ())))
   ;; `(markdown-math-face ((,class ())))
   ;; `(markdown-metadata-key-face ((,class ())))
   ;; `(markdown-metadata-value-face ((,class ())))
   ;; `(markdown-missing-link-face ((,class ())))
   `(markdown-pre-face ((,class (:inherit org-block-background))))
   ;; `(markdown-reference-face ((,class ())))
   ;; `(markdown-strike-through-face ((,class ())))
   `(markdown-url-face ((,class ,link)))
   `(match ((,class ,match)))           ; Used for grep matches.
   `(mc/cursor-bar-face ((,class (:height 1.0 :foreground "#ea9c49" :background "#ea9c49"))))
   `(mc/cursor-face ((,class (:inverse-video t))))
   `(mc/region-face ((,class (:inherit region))))
   `(mm-uu-extract ((,class ,code-block)))
   `(moccur-current-line-face ((,class (:foreground "#ffffff" :background "#292962"))))
   `(moccur-face ((,class (:foreground "#ffffff" :background "#030373"))))
   `(next-error ((,class ,volatile-highlight-supersize)))
   `(nobreak-space ((,class (:background "#573d3c"))))
   `(nxml-attribute-local-name-face ((,class ,xml-attribute)))
   `(nxml-attribute-value-delimiter-face ((,class (:foreground "#889deb"))))
   `(nxml-attribute-value-face ((,class (:foreground "#889deb"))))
   `(nxml-comment-content-face ((,class (:slant italic :foreground "#01ffff"))))
   `(nxml-comment-delimiter-face ((,class (:foreground "#01ffff"))))
   `(nxml-element-local-name ((,class ,xml-tag)))
   `(nxml-element-local-name-face ((,class (:foreground "#ffc30f"))))
   `(nxml-processing-instruction-target-face ((,class (:foreground "#65d00f"))))
   `(nxml-tag-delimiter-face ((,class (:foreground "#ffc30f"))))
   `(nxml-tag-slash-face ((,class (:foreground "#ffc30f"))))
   `(org-agenda-block-count ((,class (:weight bold :foreground "#5c5c67"))))
   `(org-agenda-calendar-event ((,class (:weight bold :foreground "#c98c41" :background "#413a35"))))
   `(org-agenda-calendar-sexp ((,class (:foreground "#ce8640" :background "#332f37"))))
   `(org-agenda-clocking ((,class (:foreground "#ffffff" :background "#1338ff"))))
   `(org-agenda-column-dateline ((,class ,column)))
   `(org-agenda-current-time ((,class (:underline t :foreground "#ea9e5d"))))
   `(org-agenda-date ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#ea9e5d"))))
   `(org-agenda-date-today ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#b1b6cd" :background "#292962"))))
   `(org-agenda-date-weekend ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#b2b2bc"))))
   `(org-agenda-diary ((,class (:weight bold :foreground "#889deb" :background "#542927"))))
   `(org-agenda-dimmed-todo-face ((,class (:foreground "#1338ff"))))
   `(org-agenda-done ((,class (:foreground "#ababb5"))))
   `(org-agenda-filter-category ((,class (:weight bold :foreground "#035cff"))))
   `(org-agenda-filter-tags ((,class (:weight bold :foreground "#035cff"))))
   `(org-agenda-restriction-lock ((,class (:background "#1983a8"))))
   `(org-agenda-structure ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#e17337"))))
   `(org-archived ((,class (:foreground "#4e4e5a"))))
   `(org-beamer-tag ((,class (:box (:line-width 1 :color "#0745ef") :foreground "#d4d4dd" :background "#292e5e"))))
   `(org-block ((,class ,code-block)))
   `(org-block-background ((,class (:background "#292950")))) ;; :inherit fixed-pitch))))
   `(org-block-begin-line ((,class (:underline "#5a5b62" :foreground "#ababb5" :background "#1f2038"))))
   `(org-block-end-line ((,class (:overline "#5a5b62" :foreground "#ababb5" :background "#1f2038"))))
   `(org-checkbox ((,class (:weight bold :box (:line-width 1 :style pressed-button) :foreground "#eecbb5" :background "#5e5e69"))))
   `(org-clock-overlay ((,class (:foreground "#292935" :background "#b69081"))))
   `(org-code ((,class ,code-inline)))
   `(org-column ((,class ,column)))
   `(org-column-title ((,class ,column)))
   `(org-date ((,class (:underline t :foreground "#ffbb6e"))))
   `(org-default ((,class (:foreground "#cdcdd6" :background "#292935"))))
   `(org-dim ((,class (:foreground "#575762"))))
   `(org-document-info ((,class (:foreground "#b8b8c2"))))
   `(org-document-info-keyword ((,class (:foreground "#ff723c" :background "#3b3b35"))))
   `(org-document-title ((,class (:height 1.8 :weight bold :foreground "#ffffff"))))
   `(org-done ((,class (:weight bold :box (:line-width 1 :color "#464652") :foreground "#464652" :background "#363642"))))
   `(org-drawer ((,class (:foreground "#7a3313"))))
   `(org-ellipsis ((,class (:underline nil :foreground "#686873")))) ; #0313a9
   `(org-example ((,class (:foreground "#ffc30f" :background "#3b2947"))))
   `(org-footnote ((,class (:underline t :foreground "#ff723c"))))
   `(org-formula ((,class (:foreground "#0281e4"))))
   `(org-headline-done ((,class (:height 1.0 :weight normal :strike-through t :foreground "#54545f"))))
   `(org-hide ((,class (:foreground "#43434f"))))
   `(org-inlinetask ((,class (:box (:line-width 1 :color "#3a3a46") :foreground "#898994" :background "#29295a"))))
   `(org-latex-and-related ((,class (:foreground "#cd9a73" :background "#292935"))))
   `(org-level-1 ((,class ,ol1)))
   `(org-level-2 ((,class ,ol2)))
   `(org-level-3 ((,class ,ol3)))
   `(org-level-4 ((,class ,ol4)))
   `(org-level-5 ((,class ,ol5)))
   `(org-level-6 ((,class ,ol6)))
   `(org-level-7 ((,class ,ol7)))
   `(org-level-8 ((,class ,ol8)))
   `(org-link ((,class ,link)))
   `(org-list-dt ((,class (:weight bold :foreground "#cda264"))))
   `(org-macro ((,class (:weight bold :foreground "#1449fe"))))
   `(org-meta-line ((,class (:slant normal :foreground "#ff723c" :background "#3b3b35"))))
   `(org-mode-line-clock ((,class (:box (:line-width 1 :color "#cda264") :foreground "#ffffff" :background "#035ed4"))))
   `(org-mode-line-clock-overrun ((,class (:weight bold :box (:line-width 1 :color "#cda264") :foreground "#292935" :background "#02c0ca"))))
   `(org-number-of-items ((,class (:weight bold :foreground "#292935" :background "#884792"))))
   `(org-property-value ((,class (:foreground "#8989eb"))))
   `(org-quote ((,class (:slant italic :foreground "#9797a2" :background "#292950"))))
   `(org-scheduled ((,class (:foreground "#cdcdd6"))))
   `(org-scheduled-previously ((,class (:foreground "#ec9a47"))))
   `(org-scheduled-today ((,class (:weight bold :foreground "#b1b6cd" :background "#292962"))))
   `(org-sexp-date ((,class (:foreground "#c98c41"))))
   `(org-special-keyword ((,class (:weight bold :foreground "#896eeb" :background "#3b2947"))))
   `(org-table ((,class (:foreground "#ff9cff" :background "#3b2947")))) ;; :inherit fixed-pitch))))
   `(org-tag ((,class (:weight normal :slant italic :foreground "#676268" :background "#292935"))))
   `(org-target ((,class (:foreground "#02935d"))))
   `(org-time-grid ((,class (:foreground "#32323e"))))
   `(org-todo ((,class (:weight bold :box (:line-width 1 :color "#295665") :foreground "#295665" :background "#293f4d"))))
   `(org-upcoming-deadline ((,class (:foreground "#02abb5"))))
   `(org-verbatim ((,class (:foreground "#ff9a41" :background "#2f2a35"))))
   `(org-verse ((,class (:slant italic :foreground "#9797a2" :background "#383844"))))
   `(org-warning ((,class (:weight bold :foreground "#ffffff" :background "#573e35"))))
   `(outline-1 ((,class ,ol1)))
   `(outline-2 ((,class ,ol2)))
   `(outline-3 ((,class ,ol3)))
   `(outline-4 ((,class ,ol4)))
   `(outline-5 ((,class ,ol5)))
   `(outline-6 ((,class ,ol6)))
   `(outline-7 ((,class ,ol7)))
   `(outline-8 ((,class ,ol8)))
   `(pabbrev-debug-display-label-face ((,class (:background "#8203ff"))))
   `(pabbrev-suggestions-face ((,class (:weight bold :foreground "#292935" :background "#01ffff"))))
   `(pabbrev-suggestions-label-face ((,class (:weight bold :foreground "#292935" :background "#60e01d"))))
   `(paren-face-match ((,class ,paren-matched)))
   `(paren-face-mismatch ((,class ,paren-unmatched)))
   `(paren-face-no-match ((,class ,paren-unmatched)))
   `(persp-selected-face ((,class (:weight bold :foreground "#383135"))))
   `(powerline-active1 ((,class (:foreground "#7c3322" :background "#c8c8d1" :inherit mode-line))))
   `(powerline-active2 ((,class (:foreground "#7c3322" :background "#c09057" :inherit mode-line))))
   `(powerline-inactive1 ((,class (:foreground "#363643" :background "#9898a3" :inherit mode-line-inactive))))
   `(powerline-inactive2 ((,class (:foreground "#363643" :background "#585863" :inherit mode-line-inactive))))
   `(rainbow-delimiters-depth-1-face ((,class (:foreground "#908f89"))))
   `(rainbow-delimiters-depth-2-face ((,class (:foreground "#8d7837"))))
   `(rainbow-delimiters-depth-3-face ((,class (:foreground "#706f89"))))
   `(rainbow-delimiters-depth-4-face ((,class (:foreground "#91699b"))))
   `(rainbow-delimiters-depth-5-face ((,class (:foreground "#708d98"))))
   `(rainbow-delimiters-depth-6-face ((,class (:foreground "#9e8a53"))))
   `(rainbow-delimiters-depth-7-face ((,class (:foreground "#7b7b8c"))))
   `(rainbow-delimiters-depth-8-face ((,class (:foreground "#81598c"))))
   `(rainbow-delimiters-depth-9-face ((,class (:foreground "#78909b"))))
   `(rainbow-delimiters-mismatched-face ((,class ,paren-unmatched)))
   `(rainbow-delimiters-unmatched-face ((,class ,paren-unmatched)))
   `(recover-this-file ((,class (:weight bold :background "#02c1cb"))))
   `(rng-error ((,class (:weight bold :foreground "#01ffff" :background "#2c424d"))))
   `(sh-heredoc ((,class (:foreground "#ffc30f" :background "#383135"))))
   `(sh-quoted-exec ((,class (:foreground "#02ec79"))))
   `(shadow ((,class ,shadow)))         ; Used for grep context lines.
   `(shell-option-face ((,class (:foreground "#669dd2"))))
   `(shell-output-2-face ((,class (:foreground "#ffc30f"))))
   `(shell-output-3-face ((,class (:foreground "#60e01d"))))
   `(shell-output-face ((,class (:foreground "#ffffff"))))
   ;; `(shell-prompt-face ((,class (:weight bold :foreground "#0303ff"))))
   `(shm-current-face ((,class (:background "#383d5a"))))
   `(shm-quarantine-face ((,class (:background "lemonchiffon"))))
   `(show-paren-match ((,class ,paren-matched)))
   `(show-paren-mismatch ((,class ,paren-unmatched)))
   `(sml-modeline-end-face ((,class (:background "#965417")))) ; #cda264
   `(sml-modeline-vis-face ((,class (:background "#e78743"))))
   `(term ((,class (:foreground "#cdcdd6" :background "#292935"))))

   ;; `(sp-pair-overlay-face ((,class ())))
   ;; `(sp-show-pair-enclosing ((,class ())))
   ;; `(sp-show-pair-match-face ((,class ()))) ; ~ Pair highlighting (matching tags).
   ;; `(sp-show-pair-mismatch-face ((,class ())))
   ;; `(sp-wrap-overlay-closing-pair ((,class ())))
   ;; `(sp-wrap-overlay-face ((,class ())))
   ;; `(sp-wrap-overlay-opening-pair ((,class ())))
   ;; `(sp-wrap-tag-overlay-face ((,class ())))

   `(speedbar-button-face ((,class (:foreground "#889deb"))))
   `(speedbar-directory-face ((,class (:foreground "#ffff81"))))
   `(speedbar-file-face ((,class (:foreground "#ff7581"))))
   `(speedbar-highlight-face ((,class ,volatile-highlight)))
   `(speedbar-selected-face ((,class (:underline t :foreground "#01ffff"))))
   `(speedbar-tag-face ((,class (:foreground "#5bd6df"))))
   `(svn-status-directory-face ((,class ,directory)))
   `(svn-status-filename-face ((,class (:weight bold :foreground "#bf7d49"))))
   `(svn-status-locked-face ((,class (:weight bold :foreground "#01ffff"))))
   `(svn-status-marked-face ((,class ,marked-line)))
   `(svn-status-marked-popup-face ((,class (:weight bold :foreground "#895ceb"))))
   `(svn-status-switched-face ((,class (:slant italic :foreground "#747480"))))
   `(svn-status-symlink-face ((,class ,symlink)))
   `(svn-status-update-available-face ((,class (:foreground "#035cff"))))
   `(tex-verbatim ((,class (:foreground "#ffc30f"))))
   `(tool-bar ((,class (:box (:line-width 1 :style released-button) :foreground "#ffffff" :background "#42424e"))))
   `(tooltip ((,class (:foreground "#ffffff" :background "#292950"))))
   `(traverse-match-face ((,class (:weight bold :foreground "#76d52b"))))
   `(vc-annotate-face-3F3FFF ((,class (:foreground "#c1c10f" :background "#ffffff"))))
   `(vc-annotate-face-3F6CFF ((,class (:foreground "#c1c10f" :background "#ffffff"))))
   `(vc-annotate-face-3F99FF ((,class (:foreground "#c2680f" :background "#ffffff"))))
   `(vc-annotate-face-3FC6FF ((,class (:foreground "#c2680f" :background "#ffffff"))))
   `(vc-annotate-face-3FF3FF ((,class (:foreground "#c20e0f" :background "#ffffff"))))
   `(vc-annotate-face-3FFF56 ((,class (:foreground "#b603bf" :background "#ffffff"))))
   `(vc-annotate-face-3FFF83 ((,class (:foreground "#c2035c" :background "#ffffff"))))
   `(vc-annotate-face-3FFFB0 ((,class (:foreground "#c2035c" :background "#ffffff"))))
   `(vc-annotate-face-3FFFDD ((,class (:foreground "#c20e0f" :background "#ffffff"))))
   `(vc-annotate-face-56FF3F ((,class (:foreground "#b603bf" :background "#ffffff"))))
   `(vc-annotate-face-83FF3F ((,class (:foreground "#5103cb" :background "#ffffff"))))
   `(vc-annotate-face-B0FF3F ((,class (:foreground "#5103cb" :background "#ffffff"))))
   `(vc-annotate-face-DDFF3F ((,class (:foreground "#030ecb" :background "#ffffff"))))
   `(vc-annotate-face-F6FFCC ((,class (:foreground "#ffffff" :background "#29296d"))))
   `(vc-annotate-face-FF3F3F ((,class (:foreground "#02c1cb" :background "#ffffff"))))
   `(vc-annotate-face-FF6C3F ((,class (:foreground "#02c1cb" :background "#ffffff"))))
   `(vc-annotate-face-FF993F ((,class (:foreground "#0368cb" :background "#ffffff"))))
   `(vc-annotate-face-FFC63F ((,class (:foreground "#0368cb" :background "#ffffff"))))
   `(vc-annotate-face-FFF33F ((,class (:foreground "#030ecb" :background "#ffffff"))))

   ;; ;; vc
   ;; (vc-up-to-date-state    ((,c :foreground ,(gc 'green-1))))
   ;; (vc-edited-state        ((,c :foreground ,(gc 'yellow+1))))
   ;; (vc-missing-state       ((,c :foreground ,(gc 'red))))
   ;; (vc-conflict-state      ((,c :foreground ,(gc 'red+2) :weight bold)))
   ;; (vc-locked-state        ((,c :foreground ,(gc 'cyan-1))))
   ;; (vc-locally-added-state ((,c :foreground ,(gc 'blue))))
   ;; (vc-needs-update-state  ((,c :foreground ,(gc 'magenta))))
   ;; (vc-removed-state       ((,c :foreground ,(gc 'red-1))))

   `(vhl/default-face ((,class ,volatile-highlight))) ; `volatile-highlights.el' (for undo, yank).
   `(w3m-anchor ((,class ,link)))
   `(w3m-arrived-anchor ((,class (:foreground "#65d00f"))))
   `(w3m-bitmap-image-face ((,class (:foreground "#f5f5fb" :background "#892beb"))))
   `(w3m-bold ((,class (:weight bold :foreground "#ffffff"))))
   `(w3m-current-anchor ((,class (:weight bold :underline t :foreground "#ffc30f"))))
   `(w3m-form ((,class (:underline t :foreground "#035cbb"))))
   `(w3m-form-button-face ((,class (:weight bold :underline t :foreground "#f5f5fb" :background "#2e2e3a"))))
   `(w3m-form-button-mouse-face ((,class (:underline t :foreground "#2e2e3a" :background "#d582df"))))
   `(w3m-form-button-pressed-face ((,class (:weight bold :underline t :foreground "#f5f5fb" :background "#2e2e3a"))))
   `(w3m-header-line-location-content-face ((,class (:foreground "#81818d":background "#2f2f3b"))))
   `(w3m-header-line-location-title-face ((,class (:foreground "#d4ab5b" :background "#2f2f3b"))))
   `(w3m-history-current-url-face ((,class (:foreground "#292c61"))))
   `(w3m-image-face ((,class (:weight bold :foreground "#4d1359"))))
   `(w3m-link-numbering ((,class (:foreground "#4d3a22")))) ; mouseless browsing
   `(w3m-strike-through-face ((,class (:strike-through t))))
   `(w3m-underline-face ((,class (:underline t))))

   ;; `(web-mode-block-attr-name-face ((,class ())))
   ;; `(web-mode-block-attr-value-face ((,class ())))
   ;; `(web-mode-block-comment-face ((,class ())))
   ;; `(web-mode-block-control-face ((,class ())))
   ;; `(web-mode-block-delimiter-face ((,class ())))
   ;; `(web-mode-block-face ((,class ())))
   ;; `(web-mode-block-string-face ((,class ())))
   ;; `(web-mode-bold-face ((,class ())))
   ;; `(web-mode-builtin-face ((,class ())))
   ;; `(web-mode-comment-face ((,class ())))
   ;; `(web-mode-comment-keyword-face ((,class ())))
   ;; `(web-mode-constant-face ((,class ())))
   ;; `(web-mode-css-at-rule-face ((,class ())))
   ;; `(web-mode-css-color-face ((,class ())))
   ;; `(web-mode-css-comment-face ((,class ())))
   ;; `(web-mode-css-function-face ((,class ())))
   ;; `(web-mode-css-priority-face ((,class ())))
   ;; `(web-mode-css-property-name-face ((,class ())))
   ;; `(web-mode-css-pseudo-class-face ((,class ())))
   ;; `(web-mode-css-selector-face ((,class ())))
   ;; `(web-mode-css-string-face ((,class ())))
   ;; `(web-mode-css-variable-face ((,class ())))
   ;; `(web-mode-current-column-highlight-face ((,class ())))
   `(web-mode-current-element-highlight-face ((,class (:background "#68350f")))) ; #03138c
   ;; `(web-mode-doctype-face ((,class ())))
   ;; `(web-mode-error-face ((,class ())))
   ;; `(web-mode-filter-face ((,class ())))
   `(web-mode-folded-face ((,class (:box (:line-width 1 :color "#898994") :foreground "#6767a1" :background "#0e0ec1"))))
   ;; `(web-mode-function-call-face ((,class ())))
   ;; `(web-mode-function-name-face ((,class ())))
   ;; `(web-mode-html-attr-custom-face ((,class ())))
   ;; `(web-mode-html-attr-engine-face ((,class ())))
   ;; `(web-mode-html-attr-equal-face ((,class ())))
   `(web-mode-html-attr-name-face ((,class ,xml-attribute)))
   ;; `(web-mode-html-attr-value-face ((,class ())))
   ;; `(web-mode-html-entity-face ((,class ())))
   `(web-mode-html-tag-bracket-face ((,class ,xml-tag)))
   ;; `(web-mode-html-tag-custom-face ((,class ())))
   `(web-mode-html-tag-face ((,class ,xml-tag)))
   ;; `(web-mode-html-tag-namespaced-face ((,class ())))
   ;; `(web-mode-inlay-face ((,class ())))
   ;; `(web-mode-italic-face ((,class ())))
   ;; `(web-mode-javascript-comment-face ((,class ())))
   ;; `(web-mode-javascript-string-face ((,class ())))
   ;; `(web-mode-json-comment-face ((,class ())))
   ;; `(web-mode-json-context-face ((,class ())))
   ;; `(web-mode-json-key-face ((,class ())))
   ;; `(web-mode-json-string-face ((,class ())))
   ;; `(web-mode-jsx-depth-1-face ((,class ())))
   ;; `(web-mode-jsx-depth-2-face ((,class ())))
   ;; `(web-mode-jsx-depth-3-face ((,class ())))
   ;; `(web-mode-jsx-depth-4-face ((,class ())))
   ;; `(web-mode-keyword-face ((,class ())))
   ;; `(web-mode-param-name-face ((,class ())))
   ;; `(web-mode-part-comment-face ((,class ())))
   `(web-mode-part-face ((,class (:background "#292950"))))
   ;; `(web-mode-part-string-face ((,class ())))
   ;; `(web-mode-preprocessor-face ((,class ())))
   `(web-mode-script-face ((,class (:background "#373641"))))
   ;; `(web-mode-sql-keyword-face ((,class ())))
   ;; `(web-mode-string-face ((,class ())))
   ;; `(web-mode-style-face ((,class ())))
   ;; `(web-mode-symbol-face ((,class ())))
   ;; `(web-mode-type-face ((,class ())))
   ;; `(web-mode-underline-face ((,class ())))
   ;; `(web-mode-variable-name-face ((,class ())))
   ;; `(web-mode-warning-face ((,class ())))
   ;; `(web-mode-whitespace-face ((,class ())))

   `(which-func ((,class (:weight bold :slant italic :foreground "#292935"))))
   ;; `(which-key-command-description-face)
   ;; `(which-key-group-description-face)
   ;; `(which-key-highlighted-command-face)
   ;; `(which-key-key-face)
   `(which-key-local-map-description-face ((,class (:weight bold :background "#332f37" :inherit which-key-command-description-face))))
   ;; `(which-key-note-face)
   ;; `(which-key-separator-face)
   ;; `(which-key-special-key-face)
   `(widget-button ((,class ,link)))
   `(widget-button-pressed ((,class (:foreground "#01ffff"))))
   `(widget-documentation ((,class (:foreground "#889deb"))))
   `(widget-field ((,class (:background "#282834"))))
   `(widget-inactive ((,class (:foreground "#9797a2"))))
   `(widget-single-line-field ((,class (:background "#282834"))))
   `(woman-bold ((,class (:weight bold :foreground "#0fc3cd"))))
   `(woman-italic ((,class (:weight bold :slant italic :foreground "#bb43ec"))))
   `(woman-symbol ((,class (:weight bold :foreground "#60e01d"))))
   `(yas-field-debug-face ((,class (:background "#01ffff"))))
   `(yas-field-highlight-face ((,class (:box (:line-width 1 :color "#7d7d89") :foreground "#ffffff" :background "#2d2535"))))

   ;; `(ztreep-arrow-face ((,class ())))
   ;; `(ztreep-diff-header-face ((,class ())))
   ;; `(ztreep-diff-header-small-face ((,class ())))
   `(ztreep-diff-model-add-face ((,class (:weight bold :foreground "#88a0eb"))))
   `(ztreep-diff-model-diff-face ((,class (:weight bold :foreground "#ffbc30"))))
   `(ztreep-diff-model-ignored-face ((,class (:strike-through t :foreground "#63636e"))))
   `(ztreep-diff-model-normal-face ((,class (:foreground "#ffffff"))))
   ;; `(ztreep-expand-sign-face ((,class ())))
   ;; `(ztreep-header-face ((,class ())))
   ;; `(ztreep-leaf-face ((,class ())))
   ;; `(ztreep-node-face ((,class ())))

   ))

(custom-theme-set-variables 'leuven

  ;; highlight-sexp-mode.
  '(hl-sexp-background-color "#373a48")

  '(ansi-color-faces-vector
    [default default default italic underline success warning error])

  ;; Colors used in Shell mode.
  '(ansi-color-names-vector
    ["#ffffff" "#32ffff" "#669dd2" "#3434ff" "#ffc30f" "#32ff40" "#ff420f" "#81818d"])
 )

;;;######autoload
(when (and (boundp 'custom-theme-load-path)
           load-file-name)
  ;; Add theme folder to `custom-theme-load-path' when installing over MELPA.
  (add-to-list 'custom-theme-load-path
               (file-name-as-directory (file-name-directory load-file-name))))

;;;######autoload
(when (string-match "/etc/themes/$"
                    (file-name-directory (or load-file-name (buffer-file-name))))
  (message "To stay up-to-date, you should better install and use leuven-theme from MELPA.")
  (sit-for 2))

;(provide-theme 'leuven-dark)

;; This is for the sake of Emacs.
;; Local Variables:
;; no-byte-compile: t
;; time-stamp-end: "$"
;; time-stamp-format: "%:y%02m%02d.%02H%02M"
;; time-stamp-start: "Version: "
;; End:

;;; leuven-dark-theme.el ends here
